{% extends 'knp_menu.html.twig' %}

{% block root %}
    <div class="ui floated dividing empty item">
        {% for item in item.children %}
        <div class="ui floated simple {% if item.children|length > 0 %}item right dropdown{% endif %}">
            {{ block('list') }}
        </div>
        {% endfor %}
    </div>
{% endblock %}

{% block list %}
    {% if item.children|length > 0 %}
        <span class="text">
            {{ block('icon') }}
            {{ item.label|trans }}
        </span>
        <i class="dropdown icon"></i>
        <div class="menu">
            {% for item in item.children %}
                {% if item.children|length > 0 %}
                     <div class="ui item">
                        {{ block('list') }}
                     </div>
                {% else %}
                    {{ block('item') }}
                {% endif %}
            {% endfor %}
        </div>
    {% else %}
        {{ block('item') }}
    {% endif %}
{% endblock %}

{% block item %}
    <a class="ui item" href="{{ item.uri }}">
        {{ block('icon') }}
        {{ item.label|trans }}
    </a>
{% endblock %}

{% block icon %}
    {% set icon = item.labelAttribute('icon') %}
    {% if icon %}<i class="icon {{ icon }}"></i> {% endif %}
{% endblock %}
